Subject: Re: bug#50672: python-pytorch is not reproducible

From: Ludovic Courtès <[email-masked]>
Date: Tue, 28 Sep 2021 11:24:00 +0200

Hi,

zimoun <[email-masked]> skribis:

> On Fri, 24 Sept 2021 at 16:11, Ludovic Courtès <[email-masked]> wrote:
>
>> Having unbundled NNPACK in d326dec8115cf5e2cac9497633dc11ecc970361b, I
>> can confirm that PyTorch itself is now reproducible, but NNPACK isn’t.
>
> I reproduce: "guix build nnpack --no-grafts --check" differs.  Pytorch, not.
>
>> PyTorch upstream noted that the problem is in NNPACK, not PyTorch
>> proper.
>
> Closing this report?

No, I’ve retitled it.  Now looking at PeachPy:

  https://github.com/Maratyszcza/PeachPy/issues/88

> However, I notice 2 things:
>
>  1- Unbundled dependencies are still fetched

Yes but the snippet wipes them right after.

>  2- Does the Git submodule mechanism work with the SWH fallback?

No, not yet; there’s a comment in (guix git-download).  Fixing it should
be doable.

Thanks,
Ludo’.